Search Google Drive from a project
POST
Add the Drive folders shared with the workspace's Google account to this project's knowledge. A Doc added to a shared folder later is found on the next search, with no sync. Requires coding:knowledge:sync.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
coding_repository_id*stringFormat
uuidcustomer_id?|nullRequest fulfilled, document follows
application/json- response
bytes*integerconnection?string|nullcreated_by?|nullcustom_tool_id?|nullerrors*array<>failed*integerfiles*integerid*stringFormat
uuidkind*stringname*stringpending?integerDefault
0status*stringsynced_at?|nullcurl -X POST 'https://api.syndai.ai/api/v1/external/coding/repos/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge/drive'Example Response
{ "bytes": 0, "connection": "string", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "custom_tool_id": "ee324563-c6f2-47e0-b512-683b3bbc5b59", "errors": [ { "error": "string", "path": "string" } ], "failed": 0, "files": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "name": "string", "pending": 0, "status": "string", "synced_at": "2019-08-24T14:15:22Z"}